Bug 531174 - KMS Screen Out-of-sync
KMS Screen Out-of-sync
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
card_IGP300/miI
:
Depends On:
Blocks: fedora-x-target
  Show dependency treegraph
 
Reported: 2009-10-26 23:41 EDT by CAI Qian
Modified: 2009-11-07 20:23 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-07 20:23:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dmesg (36.77 KB, text/plain)
2009-11-02 06:35 EST, CAI Qian
no flags Details
Xorg.0.log (35.29 KB, text/plain)
2009-11-02 06:35 EST, CAI Qian
no flags Details
Xorg.0.log.old (58.12 KB, text/plain)
2009-11-02 06:36 EST, CAI Qian
no flags Details
Xorg.1.log (58.12 KB, text/plain)
2009-11-02 06:36 EST, CAI Qian
no flags Details
Xorg.1.log.old (58.99 KB, text/plain)
2009-11-02 06:38 EST, CAI Qian
no flags Details
Xorg.9.log (50.16 KB, text/plain)
2009-11-02 06:38 EST, CAI Qian
no flags Details

  None (edit)
Description CAI Qian 2009-10-26 23:41:48 EDT
Description of problem:
Boot screen is restricted at the top left corner only occupied 1/4 of the screen. Screenshot can be found in BZ 521512#c15.

Version-Release number of selected component (if applicable):
F12-Beta

How reproducible:
usually

Steps to Reproduce:
1. boot the system with KMS enabled for Radeon XPRESS 200M.
  
Actual results:
Boot screen is restricted at the top left corner only occupied 1/4 of the screen.

Expected results:
Occupy the full screen.

Additional info:
More information about the hardware can be found here in BZ 521512,
Comment 1 CAI Qian 2009-10-28 10:30:11 EDT
Propose this for F12 blocker, since it is a show stopper.
Comment 2 James Laska 2009-10-28 10:37:28 EDT
Screenshot of problem can be found as attachment#363784 [details]
Comment 3 Jerome Glisse 2009-10-28 15:11:05 EDT
I don't think this is kernel or ati bug here, according to log we set a fbcon which is big enough to fill the screen, i believe it's the ncurse install program which is buggy.
Comment 4 Adam Jackson 2009-10-29 18:51:25 EDT
The installer is completely visible, just not positioned where you expected it?  That's a funny definition of "blocker".
Comment 5 CAI Qian 2009-10-29 22:41:23 EDT
My original thought is that it is blocker prevent me showing my friends and family about F12's shiny boot screen.
Comment 6 Matěj Cepl 2009-11-01 21:03:46 EST
Could you actually install Fedora (even with squeezed monitor) and are you able to run Xorg (it doesn't matter it fails, just to run it)?

If yes, please attach your X server config file (/etc/X11/xorg.conf, if available), output of the dmesg command, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 7 CAI Qian 2009-11-02 06:35:20 EST
Created attachment 367111 [details]
dmesg

Xorg just SIGSEGV.
Comment 8 CAI Qian 2009-11-02 06:35:47 EST
Created attachment 367112 [details]
Xorg.0.log
Comment 9 CAI Qian 2009-11-02 06:36:24 EST
Created attachment 367113 [details]
Xorg.0.log.old
Comment 10 CAI Qian 2009-11-02 06:36:55 EST
Created attachment 367114 [details]
Xorg.1.log
Comment 11 CAI Qian 2009-11-02 06:38:11 EST
Created attachment 367115 [details]
Xorg.1.log.old
Comment 12 CAI Qian 2009-11-02 06:38:40 EST
Created attachment 367116 [details]
Xorg.9.log
Comment 13 Matěj Cepl 2009-11-03 12:28:15 EST
Backtrace:
0: Xorg (xorg_backtrace+0x28) [0x49e4d8]
1: Xorg (0x400000+0x61859) [0x461859]
2: /lib64/libpthread.so.0 (0x3166c00000+0xf320) [0x3166c0f320]
Segmentation fault at address (nil)

Fatal server error:
Caught signal 11 (Segmentation fault). Server aborting
Comment 14 Dave Airlie 2009-11-04 00:46:09 EST
does the laptop/desktop have a tv out connector?
Comment 15 CAI Qian 2009-11-04 09:49:29 EST
Yes, the laptop has one, but it was never used.
Comment 16 CAI Qian 2009-11-04 09:53:29 EST
Correction -- it may not be a TV out connector, I think it is for an external monitor connector found in common laptops.
Comment 17 Matěj Cepl 2009-11-05 12:19:24 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 18 CAI Qian 2009-11-06 20:08:24 EST
I cannot reproduce the original problem anymore. I think you can close it. Thanks!
Comment 19 Matěj Cepl 2009-11-07 20:23:38 EST
Thank you for letting us know.

Note You need to log in before you can comment on or make changes to this bug.